View Issue Details

IDProjectCategoryView StatusLast Update
0000403bareos-coredirectorpublic2015-06-01 16:23
Reporterpstorz Assigned To 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
PlatformLinuxOSanyOS Version3
Product Version14.2.2 
Summary0000403: "list jobs" command output is not always sorted
Descriptionwhen executing the " list jobs " command, the output is not sorted by jobid.

Canceled jobs are appended at the end. It looks like the jobs are ordered by job finish time.

It would make sense to order the jobs by the jobid.


| 153,938 | marvin | 2015-01-23 09:30:02 | B | D | 0 | 0 | E |
| 153,939 | ganymed | 2015-01-23 09:30:04 | B | D | 808 | 254,976,593 | T |
| 138,016 | copy2tape | | c | F | 0 | 0 | f |
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impactyes
bareos-14.2: actionfixed
bareos-13.2: impactyes
bareos-13.2: actionnone
bareos-12.4: impactyes
bareos-12.4: actionnone

Relationships

child of 0000447 closedjoergs Release bareos-14.2.5 

Activities

pstorz

pstorz

2015-01-23 11:06

administrator   ~0001207

Adding the following lines to query.sql should have the desired result:

# 21
:List all jobs with starttime
SELECT JobId,Name,StartTime,Type,Level,JobFiles,JobBytes,JobStatus
 FROM Job ORDER BY JobId,StartTime ASC;
mvwieringen

mvwieringen

2015-03-31 15:22

developer   ~0001673

Fix committed to bareos master branch with changesetid 5169.
mvwieringen

mvwieringen

2015-05-29 18:06

developer   ~0001754

Fix committed to bareos bareos-14.2 branch with changesetid 5326.

Related Changesets

bareos: master e308fdc2

2015-01-23 11:02:49

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
Change the order of output for list jobs

We now ORDER BY JobId instead of
ORDER BY StartTime,JobId

This prevents showing jobs without starttime timestamp
always as last output.

Fixes 0000403: "list jobs" command output is not always sorted
Affected Issues
0000403
mod - src/cats/sql_list.c Diff File

bareos: bareos-14.2 6ba049f4

2015-01-23 11:02:49

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
Change the order of output for list jobs

We now ORDER BY JobId instead of
ORDER BY StartTime,JobId

This prevents showing jobs without starttime timestamp
always as last output.

Fixes 0000403: "list jobs" command output is not always sorted
Affected Issues
0000403
mod - src/cats/sql_list.c Diff File

Issue History

Date Modified Username Field Change
2015-01-23 09:45 pstorz New Issue
2015-01-23 09:48 pstorz Category documentation => director
2015-01-23 09:49 pstorz Severity minor => feature
2015-01-23 11:05 pstorz Assigned To => pstorz
2015-01-23 11:05 pstorz Status new => assigned
2015-01-23 11:06 pstorz Note Added: 0001207
2015-03-31 15:22 mvwieringen Changeset attached => bareos master e308fdc2
2015-03-31 15:22 mvwieringen Note Added: 0001673
2015-03-31 15:22 mvwieringen Status assigned => resolved
2015-03-31 15:22 mvwieringen Resolution open => fixed
2015-03-31 15:23 mvwieringen adm Assigned To pstorz =>
2015-05-27 12:45 joergs Relationship added child of 0000447
2015-05-27 12:46 joergs bareos-master: impact => yes
2015-05-27 12:46 joergs bareos-master: action => fixed
2015-05-27 12:46 joergs bareos-14.2: impact => yes
2015-05-27 12:46 joergs bareos-14.2: action => will care
2015-05-27 12:46 joergs bareos-13.2: impact => yes
2015-05-27 12:46 joergs bareos-13.2: action => none
2015-05-27 12:46 joergs bareos-12.4: impact => yes
2015-05-27 12:46 joergs bareos-12.4: action => none
2015-05-29 18:06 mvwieringen Changeset attached => bareos bareos-14.2 6ba049f4
2015-05-29 18:06 mvwieringen Note Added: 0001754
2015-06-01 16:23 joergs bareos-14.2: action will care => fixed
2015-06-01 16:23 joergs Status resolved => closed